Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math.random
Class UncorrelatedRandomVectorGenerator

    java.lang.Object
      org.apache.commons.math.random.UncorrelatedRandomVectorGenerator

All Implemented Interfaces:
  RandomVectorGenerator

    public class UncorrelatedRandomVectorGenerator

extends Object
implements RandomVectorGenerator

A `RandomVectorGenerator` that generates vectors with uncorrelated components. Components of generated vectors follow (independent) Gaussian distributions, with parameters supplied in the constructor.

Since:
  1.2
Version:
  $Revision: 962515 $ $Date: 2010-07-09 15:15:28 +0200 (ven. 09 juil. 2010) $

Constructor Summary
`UncorrelatedRandomVectorGenerator(double[] mean, double[] standardDeviation, NormalizedRandomGenerator generator)` Simple constructor.
`UncorrelatedRandomVectorGenerator(int dimension, NormalizedRandomGenerator generator)` Simple constructor.

Method Summary
`double[]` | `nextVector()` Generate an uncorrelated random vector.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UncorrelatedRandomVectorGenerator

    public UncorrelatedRandomVectorGenerator(double[] mean,
                                             double[] standardDeviation,
                                             NormalizedRandomGenerator generator)

  Simple constructor.

  Build an uncorrelated random vector generator from its mean and standard deviation vectors.

  Parameters:
    `mean` - expected mean values for each component
    `standardDeviation` - standard deviation for each component
    `generator` - underlying generator for uncorrelated normalized components

### UncorrelatedRandomVectorGenerator

    public UncorrelatedRandomVectorGenerator(int dimension,
                                             NormalizedRandomGenerator generator)

  Simple constructor.

  Build a null mean random and unit standard deviation uncorrelated vector generator

  Parameters:
    `dimension` - dimension of the vectors to generate
    `generator` - underlying generator for uncorrelated normalized components

Method Detail

### nextVector

    public double[] nextVector()

  Generate an uncorrelated random vector.

  Specified by:
    `nextVector` in interface `RandomVectorGenerator`
  Returns:
    a random vector as a newly built array of double

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2011 The Apache Software Foundation. All Rights Reserved.